Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.dvcs
Class PathProcInput

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.dvcs.PathProcInput

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PathProcInput
extends ASN1Object

PathProcInput ::= SEQUENCE { acceptablePolicySet SEQUENCE SIZE (1..MAX) OF PolicyInformation, inhibitPolicyMapping BOOLEAN DEFAULT FALSE, explicitPolicyReqd [0] BOOLEAN DEFAULT FALSE , inhibitAnyPolicy [1] BOOLEAN DEFAULT FALSE }

Constructor Summary
`PathProcInput(PolicyInformation[] acceptablePolicySet)`
`PathProcInput(PolicyInformation[] acceptablePolicySet, boolean inhibitPolicyMapping, boolean explicitPolicyReqd, boolean inhibitAnyPolicy)`

Method Summary
`PolicyInformation[]` | `getAcceptablePolicySet()`
`static PathProcInput` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PathProcInput` | `getInstance(java.lang.Object obj)`
`boolean` | `isExplicitPolicyReqd()`
`boolean` | `isInhibitAnyPolicy()`
`boolean` | `isInhibitPolicyMapping()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathProcInput

    public PathProcInput(PolicyInformation[] acceptablePolicySet)

### PathProcInput

    public PathProcInput(PolicyInformation[] acceptablePolicySet,
                         boolean inhibitPolicyMapping,
                         boolean explicitPolicyReqd,
                         boolean inhibitAnyPolicy)

Method Detail

### getInstance

    public static PathProcInput getInstance(java.lang.Object obj)

### getInstance

    public static PathProcInput getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

### getAcceptablePolicySet

    public PolicyInformation[] getAcceptablePolicySet()

### isInhibitPolicyMapping

    public boolean isInhibitPolicyMapping()

### isExplicitPolicyReqd

    public boolean isExplicitPolicyReqd()

### isInhibitAnyPolicy

    public boolean isInhibitAnyPolicy()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD